Index: /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 763)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 764)
@@ -120,14 +120,4 @@
     m_dmmWedgeTabIdx[i] = NULL;
   }
-#if !SEC_DMM3_RBC_F0147
-  m_dmm3IntraTabIdx = NULL;
-#endif
-#endif
-#if H_3D_DIM_RBC
-  m_pucEdgeCode     = NULL;
-  m_pucEdgeNumber   = NULL;
-  m_pucEdgeStartPos = NULL;
-  m_pbEdgeLeftFirst = NULL;
-  m_pbEdgePartition = NULL;
 #endif
 #if H_3D_DIM_SDC
@@ -279,14 +269,4 @@
       m_dmmWedgeTabIdx[i]    = (UInt*)xMalloc(UInt, uiNumPartition);
     }
-#if !SEC_DMM3_RBC_F0147
-    m_dmm3IntraTabIdx = (UInt*)xMalloc(UInt, uiNumPartition);
-#endif
-#endif
-#if H_3D_DIM_RBC
-    m_pucEdgeCode     = (UChar*)xMalloc(UChar, uiNumPartition * RBC_MAX_EDGE_NUM_PER_4x4);
-    m_pucEdgeNumber   = (UChar*)xMalloc(UChar, uiNumPartition);
-    m_pucEdgeStartPos = (UChar*)xMalloc(UChar, uiNumPartition);
-    m_pbEdgeLeftFirst = (Bool*)xMalloc(Bool, uiNumPartition);
-    m_pbEdgePartition = (Bool*)xMalloc(Bool, uiNumPartition * 16);
 #endif
 #if H_3D_DIM_SDC
@@ -417,14 +397,4 @@
       if ( m_dmmWedgeTabIdx[i] ) { xFree( m_dmmWedgeTabIdx[i] ); m_dmmWedgeTabIdx[i] = NULL; }
     }
-#if !SEC_DMM3_RBC_F0147
-    if ( m_dmm3IntraTabIdx ) { xFree( m_dmm3IntraTabIdx ); m_dmm3IntraTabIdx = NULL; }
-#endif
-#endif
-#if H_3D_DIM_RBC
-    if ( m_pbEdgeLeftFirst ) { xFree( m_pbEdgeLeftFirst ); m_pbEdgeLeftFirst = NULL; }
-    if ( m_pucEdgeStartPos ) { xFree( m_pucEdgeStartPos ); m_pucEdgeStartPos = NULL; }
-    if ( m_pucEdgeNumber   ) { xFree( m_pucEdgeNumber   ); m_pucEdgeNumber   = NULL; }
-    if ( m_pucEdgeCode     ) { xFree( m_pucEdgeCode     ); m_pucEdgeCode     = NULL; }
-    if ( m_pbEdgePartition ) { xFree( m_pbEdgePartition ); m_pbEdgePartition = NULL; }
 #endif
 #if H_3D_DIM_SDC
@@ -643,14 +613,4 @@
       memset( m_dmmWedgeTabIdx[i] + firstElement, 0,                      numElements * sizeof( *m_dmmWedgeTabIdx[i] ) );
     }
-#if !SEC_DMM3_RBC_F0147
-    memset( m_dmm3IntraTabIdx   + firstElement, 0,                        numElements * sizeof( *m_dmm3IntraTabIdx ) );
-#endif
-#endif
-#if H_3D_DIM_RBC
-    memset( m_pucEdgeCode       + firstElement, 0,                        numElements * sizeof( *m_pucEdgeCode     ) * RBC_MAX_EDGE_NUM_PER_4x4 );
-    memset( m_pucEdgeNumber     + firstElement, 0,                        numElements * sizeof( *m_pucEdgeNumber   ) );
-    memset( m_pucEdgeStartPos   + firstElement, 0,                        numElements * sizeof( *m_pucEdgeStartPos ) );
-    memset( m_pbEdgeLeftFirst   + firstElement, false,                    numElements * sizeof( *m_pbEdgeLeftFirst ) );
-    memset( m_pbEdgePartition   + firstElement, false,                    numElements * sizeof( *m_pbEdgePartition ) * 16 );
 #endif
 #if H_3D_DIM_SDC
@@ -825,7 +785,4 @@
         m_dmmWedgeTabIdx[i] [ui] = 0;
       }
-#if !SEC_DMM3_RBC_F0147
-      m_dmm3IntraTabIdx [ui] = 0;
-#endif
 #endif
 #if H_3D_DIM_SDC
@@ -941,14 +898,4 @@
     memset( m_dmmWedgeTabIdx[i], 0, sizeof(UInt) * m_uiNumPartition );
   }
-#if !SEC_DMM3_RBC_F0147
-  memset( m_dmm3IntraTabIdx, 0, sizeof(UInt) * m_uiNumPartition );
-#endif
-#endif
-#if H_3D_DIM_RBC
-  memset( m_pucEdgeCode    , 0, iSizeInUchar * RBC_MAX_EDGE_NUM_PER_4x4 );
-  memset( m_pucEdgeNumber  , 0, iSizeInUchar );
-  memset( m_pucEdgeStartPos, 0, iSizeInUchar );
-  memset( m_pbEdgeLeftFirst, 0, iSizeInBool );
-  memset( m_pbEdgePartition, 0, iSizeInBool * 16 );
 #endif
 #if H_3D_DIM_SDC
@@ -1028,7 +975,4 @@
         m_dmmWedgeTabIdx[i] [ui] = pcCU->m_dmmWedgeTabIdx[i] [uiPartOffset+ui];
       }
-#if !SEC_DMM3_RBC_F0147
-      m_dmm3IntraTabIdx [ui] = pcCU->m_dmm3IntraTabIdx[uiPartOffset+ui];
-#endif
 #endif
 #if H_3D_DIM_SDC
@@ -1187,14 +1131,4 @@
     m_dmmWedgeTabIdx[i] = pcCU->getDmmWedgeTabIdx( i ) + uiPart;
   }
-#if !SEC_DMM3_RBC_F0147
-  m_dmm3IntraTabIdx = pcCU->getDmm3IntraTabIdx() + uiPart;
-#endif
-#endif
-#if H_3D_DIM_RBC
-  m_pucEdgeCode     = pcCU->getEdgeCode( uiPart );
-  m_pucEdgeNumber   = pcCU->getEdgeNumber()      + uiPart;
-  m_pucEdgeStartPos = pcCU->getEdgeStartPos()    + uiPart;
-  m_pbEdgeLeftFirst = pcCU->getEdgeLeftFirst()   + uiPart;
-  m_pbEdgePartition = pcCU->getEdgePartition( uiPart );
 #endif
 #if H_3D_DIM_SDC
@@ -1391,14 +1325,4 @@
     memcpy( m_dmmWedgeTabIdx[i] + uiOffset, pcCU->getDmmWedgeTabIdx( i ), sizeof(UInt) * uiNumPartition );
   }
-#if !SEC_DMM3_RBC_F0147
-  memcpy( m_dmm3IntraTabIdx + uiOffset, pcCU->getDmm3IntraTabIdx(), sizeof(UInt) * uiNumPartition );
-#endif
-#endif
-#if H_3D_DIM_RBC
-  memcpy( getEdgeCode( uiOffset ),       pcCU->getEdgeCode(0),      iSizeInUchar * RBC_MAX_EDGE_NUM_PER_4x4 );
-  memcpy( getEdgeNumber()    + uiOffset, pcCU->getEdgeNumber(),     iSizeInUchar );
-  memcpy( getEdgeStartPos()  + uiOffset, pcCU->getEdgeStartPos(),   iSizeInUchar );
-  memcpy( getEdgeLeftFirst() + uiOffset, pcCU->getEdgeLeftFirst(),  iSizeInBool );
-  memcpy( getEdgePartition( uiOffset ),  pcCU->getEdgePartition(0), iSizeInBool * 16 );
 #endif
 #if H_3D_DIM_SDC
@@ -1523,14 +1447,4 @@
     memcpy( rpcCU->getDmmWedgeTabIdx( i ) + m_uiAbsIdxInLCU, m_dmmWedgeTabIdx[i], sizeof(UInt) * m_uiNumPartition );
   }
-#if !SEC_DMM3_RBC_F0147
-  memcpy( rpcCU->getDmm3IntraTabIdx() + m_uiAbsIdxInLCU, m_dmm3IntraTabIdx, sizeof(UInt) * m_uiNumPartition );
-#endif
-#endif
-#if H_3D_DIM_RBC
-  memcpy( rpcCU->getEdgeCode( m_uiAbsIdxInLCU ),         m_pucEdgeCode,     iSizeInUchar * RBC_MAX_EDGE_NUM_PER_4x4 );
-  memcpy( rpcCU->getEdgeNumber()      + m_uiAbsIdxInLCU, m_pucEdgeNumber,   iSizeInUchar );
-  memcpy( rpcCU->getEdgeStartPos()    + m_uiAbsIdxInLCU, m_pucEdgeStartPos, iSizeInUchar );
-  memcpy( rpcCU->getEdgeLeftFirst()   + m_uiAbsIdxInLCU, m_pbEdgeLeftFirst, iSizeInBool );
-  memcpy( rpcCU->getEdgePartition( m_uiAbsIdxInLCU ),    m_pbEdgePartition, iSizeInBool * 16 );
 #endif
 #if H_3D_DIM_SDC
@@ -1641,14 +1555,4 @@
     memcpy( rpcCU->getDmmWedgeTabIdx( i ) + uiPartOffset, m_dmmWedgeTabIdx[i], sizeof(UInt) * uiQNumPart );
   }
-#if !SEC_DMM3_RBC_F0147
-  memcpy( rpcCU->getDmm3IntraTabIdx() + uiPartOffset, m_dmm3IntraTabIdx, sizeof(UInt) * uiQNumPart );
-#endif
-#endif
-#if H_3D_DIM_RBC
-  memcpy( rpcCU->getEdgeCode( uiPartOffset ),         m_pucEdgeCode,     iSizeInUchar * RBC_MAX_EDGE_NUM_PER_4x4 );
-  memcpy( rpcCU->getEdgeNumber()      + uiPartOffset, m_pucEdgeNumber,   iSizeInUchar );
-  memcpy( rpcCU->getEdgeStartPos()    + uiPartOffset, m_pucEdgeStartPos, iSizeInUchar );
-  memcpy( rpcCU->getEdgeLeftFirst()   + uiPartOffset, m_pbEdgeLeftFirst, iSizeInBool );
-  memcpy( rpcCU->getEdgePartition( uiPartOffset ),    m_pbEdgePartition, iSizeInBool * 16 );
 #endif
 #if H_3D_DIM_SDC
@@ -2375,5 +2279,4 @@
   UInt        uiCtx = 0;
 
-#if LGE_IC_CTX_F0160
   TComDataCU* pcTempCU = NULL;
   UInt        uiTempPartIdx = 0;
@@ -2384,5 +2287,4 @@
   pcTempCU = getPUAbove( uiTempPartIdx, m_uiAbsIdxInLCU + uiAbsPartIdx );
   uiCtx    += ( pcTempCU ) ? pcTempCU->isIC( uiTempPartIdx ) : 0;
-#endif
 
   return uiCtx;
@@ -3345,12 +3247,7 @@
  *   false: otherwise
  */
-#if ETRIKHU_MERGE_REUSE_F0093
 inline Bool TComDataCU::xAddVspCand( Int mrgCandIdx, DisInfo* pDInfo, Int& iCount,
   Bool* abCandIsInter, TComMvField* pcMvFieldNeighbours, UChar* puhInterDirNeighbours, Int* vspFlag, Int& iCount3DV, InheritedVSPDisInfo*  inheritedVSPDisInfo  )
-#else
-inline Bool TComDataCU::xAddVspCand( Int mrgCandIdx, DisInfo* pDInfo, Int& iCount,
-                                     Bool* abCandIsInter, TComMvField* pcMvFieldNeighbours, UChar* puhInterDirNeighbours, Int* vspFlag )
-#endif
-{
+  {
   if ( m_pcSlice->getViewIndex() == 0 || !m_pcSlice->getVPS()->getViewSynthesisPredFlag( m_pcSlice->getLayerIdInVps() ) || m_pcSlice->getIsDepth() )
   {
@@ -3367,7 +3264,5 @@
   }
 
-#if ETRIKHU_MERGE_REUSE_F0093
   rightShiftMergeCandList( pcMvFieldNeighbours, puhInterDirNeighbours, vspFlag, inheritedVSPDisInfo, iCount, (5-iCount), iCount3DV);
-#endif
   
   Bool  refViewAvailFlag = false;
@@ -3454,11 +3349,6 @@
 
 #if H_3D_IV_MERGE
-#if ETRIKHU_MERGE_REUSE_F0093
 inline Bool TComDataCU::xAddIvMRGCand( Int mrgCandIdx, Int& iCount, Bool* abCandIsInter, TComMvField* pcMvFieldNeighbours, UChar* puhInterDirNeighbours, Int* ivCandDir, TComMv* ivCandMv, 
   Int* ivCandRefIdx, Int iPosIvDC, Int* vspFlag, Int &iCount3DV, InheritedVSPDisInfo*  inheritedVSPDisInfo  )
-#else
-inline Bool TComDataCU::xAddIvMRGCand( Int mrgCandIdx, Int& iCount, Bool* abCandIsInter, TComMvField* pcMvFieldNeighbours, UChar* puhInterDirNeighbours, Int* ivCandDir, TComMv* ivCandMv, 
-                                       Int* ivCandRefIdx, Int iPosIvDC, Int* vspFlag )
-#endif
 {
   for(Int iLoop = 0; iLoop < 2; iLoop ++ ) 
@@ -3479,7 +3369,5 @@
         clipMv( cMv );
 
-#if ETRIKHU_MERGE_REUSE_F0093
         rightShiftMergeCandList( pcMvFieldNeighbours, puhInterDirNeighbours, vspFlag, inheritedVSPDisInfo, iCount, (5-iCount), iCount3DV);
-#endif
 
         abCandIsInter        [ iCount ] = true;
@@ -3502,26 +3390,13 @@
     if(ivCandDir[iLoop + 2])
     {
-#if ETRIKHU_MERGE_REUSE_F0093
       TComMvField tmpMV[2];
       UChar tmpDir = ivCandDir[iLoop + 2];
-#else
-      abCandIsInter        [ iCount ] = true;
-      puhInterDirNeighbours[ iCount ] = ivCandDir[iLoop + 2];
-#endif
       if( ( ivCandDir[iLoop + 2] & 1 ) == 1 )
       {
-#if ETRIKHU_MERGE_REUSE_F0093
         tmpMV[0].setMvField( ivCandMv[ (iLoop<<1) + 4 ], ivCandRefIdx[ (iLoop<<1) + 4 ] ); 
-#else
-        pcMvFieldNeighbours[ iCount<<1 ].setMvField( ivCandMv[ (iLoop<<1) + 4 ], ivCandRefIdx[ (iLoop<<1) + 4 ] ); 
-#endif
       }
       if( ( ivCandDir[iLoop + 2] & 2 ) == 2 )
       {
-#if ETRIKHU_MERGE_REUSE_F0093
         tmpMV[1].setMvField( ivCandMv[ (iLoop<<1) + 5 ], ivCandRefIdx[ (iLoop<<1) + 5 ] );
-#else
-        pcMvFieldNeighbours[ (iCount<<1)+1 ].setMvField( ivCandMv[ (iLoop<<1) + 5 ], ivCandRefIdx[ (iLoop<<1) + 5 ] );
-#endif
       }
      
@@ -3530,24 +3405,11 @@
       if( !iLoop && ivCandDir[0] > 0)
       {
-#if ETRIKHU_MERGE_REUSE_F0093
         if(tmpDir == puhInterDirNeighbours[0] && pcMvFieldNeighbours[0]==tmpMV[0] && pcMvFieldNeighbours[1]==tmpMV[1])
-#else
-        if(puhInterDirNeighbours[iCount] == puhInterDirNeighbours[0] && pcMvFieldNeighbours[0 ]== pcMvFieldNeighbours[(iCount<<1)] && pcMvFieldNeighbours[1]==pcMvFieldNeighbours[(iCount<<1)+1])
-#endif
         {
             bRemove                         = true;
-#if !ETRIKHU_MERGE_REUSE_F0093
-            abCandIsInter        [ iCount ] = false;  
-            puhInterDirNeighbours[ iCount ] = 0;
-            TComMv  cZeroMv;
-            pcMvFieldNeighbours  [ iCount<<1   ].setMvField( cZeroMv, NOT_VALID );
-            pcMvFieldNeighbours  [(iCount<<1)+1].setMvField( cZeroMv, NOT_VALID );
-#endif
         }
       }
       if(!bRemove)
       {
-
-#if ETRIKHU_MERGE_REUSE_F0093
         rightShiftMergeCandList( pcMvFieldNeighbours, puhInterDirNeighbours, vspFlag, inheritedVSPDisInfo, iCount, (5-iCount), iCount3DV);
 
@@ -3562,6 +3424,4 @@
           pcMvFieldNeighbours[ (iCount<<1)+1 ].setMvField( ivCandMv[ (iLoop<<1) + 5 ], ivCandRefIdx[ (iLoop<<1) + 5 ] );
         }
-#endif
-
 #if H_3D_NBDV
         if(iLoop) // For IvMcShift candidate
@@ -3603,13 +3463,5 @@
 #endif
 
-
-
-
-
-
-
-
-
-#if ETRIKHU_MERGE_REUSE_F0093
+#if H_3D
 Void TComDataCU::rightShiftMergeCandList( TComMvField* pcMvFieldNeighbours, UChar* puhInterDirNeighbours, Int* iVSPIndexTrue, InheritedVSPDisInfo*  inheritedVSPDisInfo, UInt start, UInt num, Int &iCount3DV)
 {
@@ -3999,5 +3851,5 @@
  * \param numValidMergeCand
  */
-#if ETRIKHU_MERGE_REUSE_F0093
+#if H_3D
 Void TComDataCU::xGetInterMergeCandidates( UInt uiAbsPartIdx, UInt uiPUIdx, TComMvField* pcMvFieldNeighbours, UChar* puhInterDirNeighbours
 #else
@@ -4024,5 +3876,5 @@
   Bool abCandIsInter[ MRG_MAX_NUM_CANDS ];
 #endif
-#if ETRIKHU_MERGE_REUSE_F0093
+#if H_3D
   TComMvField tmpMV[2];
   UChar tmpDir;
@@ -4046,11 +3898,6 @@
   {
     abCandIsInter[ui] = false;
-#if H_3D_IV_MERGE
-    pcMvFieldNeighbours[ ( ui << 1 )     ].setMvField(cZeroMv, NOT_VALID);
-    pcMvFieldNeighbours[ ( ui << 1 ) + 1 ].setMvField(cZeroMv, NOT_VALID);
-#else
     pcMvFieldNeighbours[ ( ui << 1 )     ].setRefIdx(NOT_VALID);
     pcMvFieldNeighbours[ ( ui << 1 ) + 1 ].setRefIdx(NOT_VALID);
-#endif
   }
 #endif
@@ -4069,20 +3916,14 @@
 
   UInt uiPartIdxLT, uiPartIdxRT, uiPartIdxLB;
-#if !ETRIKHU_MERGE_REUSE_F0093
+#if !H_3D
   PartSize cCurPS = getPartitionSize( uiAbsPartIdx );
 #endif
   deriveLeftRightTopIdxGeneral( uiAbsPartIdx, uiPUIdx, uiPartIdxLT, uiPartIdxRT );
   deriveLeftBottomIdxGeneral  ( uiAbsPartIdx, uiPUIdx, uiPartIdxLB );
-#if SEC_MPI_ENABLING_MERGE_F0150
+#if H_3D
   Bool bMPIFlag   = getSlice()->getVPS()->getMPIFlag( getSlice()->getLayerIdInVps() );
-#endif
-#if QC_DEPTH_IV_MRG_F0125
   Bool bIsDepth = getSlice()->getIsDepth();
-#if !BUGFIX_F0093
-  Bool bDepthIPMCAvai = false;
-#endif
 #endif 
 
-#if LGE_SHARP_VSP_INHERIT_F0104
 #if H_3D_IC
   Bool bICFlag = getICFlag(uiAbsPartIdx);
@@ -4091,7 +3932,6 @@
   Bool bARPFlag = getARPW(uiAbsPartIdx)>0 ? true : false;
 #endif
-#endif
-
-#if ETRIKHU_MERGE_REUSE_F0093
+
+#if H_3D
   Int  iPosLeftAbove[2] = {-1, -1};
 
@@ -4118,5 +3958,4 @@
 #if H_3D_VSP
     if (pcCULeft->getVSPFlag(uiLeftPartIdx) == 1
-#if LGE_SHARP_VSP_INHERIT_F0104
 #if H_3D_IC
       && !bICFlag
@@ -4125,11 +3964,7 @@
       && !bARPFlag
 #endif
-#endif
       )
     {
       vspFlag[numA1B1B0] = 1;
-#if !MTK_VSP_SIMPLIFICATION_F0111
-      xInheritVSPDisInfo(pcCULeft,uiLeftPartIdx,iCount,inheritedVSPDisInfo);
-#endif
     }
 #endif
@@ -4150,5 +3985,4 @@
     if (pcCUAbove->getVSPFlag(uiAbovePartIdx) == 1
 #endif
-#if LGE_SHARP_VSP_INHERIT_F0104
 #if H_3D_IC
       && !bICFlag
@@ -4156,5 +3990,4 @@
 #if H_3D_ARP
       && !bARPFlag
-#endif
 #endif
       )
@@ -4177,10 +4010,5 @@
   {
 #if H_3D_VSP
-#if BUGFIX_2_F0093 && MTK_VSP_SIMPLIFICATION_F0111
     if ( ( ( getAddr() - pcCUAboveRight->getAddr() ) == 0) && (pcCUAboveRight->getVSPFlag(uiAboveRightPartIdx) == 1) 
-#else
-    if (pcCUAboveRight->getVSPFlag(uiAboveRightPartIdx) == 1
-#endif
-#if LGE_SHARP_VSP_INHERIT_F0104
 #if H_3D_IC
       && !bICFlag
@@ -4189,11 +4017,7 @@
       && !bARPFlag
 #endif
-#endif
       )
     {
       vspFlag[numA1B1B0] = 1;
-#if !MTK_VSP_SIMPLIFICATION_F0111
-      xInheritVSPDisInfo(pcCUAboveRight,uiAboveRightPartIdx,iCount,inheritedVSPDisInfo);
-#endif
     }
 #endif
@@ -4208,5 +4032,4 @@
 #if H_3D_VSP
     if (pcCULeftBottom->getVSPFlag(uiLeftBottomPartIdx) == 1
-#if LGE_SHARP_VSP_INHERIT_F0104
 #if H_3D_IC
       && !bICFlag
@@ -4215,11 +4038,7 @@
       && !bARPFlag
 #endif
-#endif
       )
     {
       vspFlag[numA1B1B0] = 1;
-#if !MTK_VSP_SIMPLIFICATION_F0111
-      xInheritVSPDisInfo(pcCULeftBottom,uiLeftBottomPartIdx,iCount,inheritedVSPDisInfo);
-#endif
     }
 #endif
@@ -4235,10 +4054,5 @@
   {
 #if H_3D_VSP
-#if BUGFIX_2_F0093 && MTK_VSP_SIMPLIFICATION_F0111
     if ( ( ( getAddr() - pcCUAboveLeft->getAddr() ) == 0) && (pcCUAboveLeft->getVSPFlag(uiAboveLeftPartIdx) == 1) 
-#else
-    if (pcCUAboveLeft->getVSPFlag(uiAboveLeftPartIdx) == 1
-#endif
-#if LGE_SHARP_VSP_INHERIT_F0104
 #if H_3D_IC
       && !bICFlag
@@ -4247,11 +4061,7 @@
       && !bARPFlag
 #endif
-#endif
       )
     {
       vspFlag[numA1B1B0+iCountHEVC] = 1;
-#if !MTK_VSP_SIMPLIFICATION_F0111
-      xInheritVSPDisInfo(pcCUAboveLeft,uiAboveLeftPartIdx,iCount,inheritedVSPDisInfo);
-#endif
     }
 #endif
@@ -4265,23 +4075,16 @@
 
 #if H_3D_IV_MERGE
-  
+
   /////////////////////////////////////////////
   //////// TEXTURE MERGE CANDIDATE (T) ////////
   /////////////////////////////////////////////
-  
-#if SEC_MPI_ENABLING_MERGE_F0150
+
   if( bMPIFlag)
-#else
-  if( m_pcSlice->getIsDepth())
-#endif
   {
     UInt uiPartIdxCenter;
     xDeriveCenterIdx( uiPUIdx, uiPartIdxCenter );    
-
-#if ETRIKHU_MERGE_REUSE_F0093
     tmpMV[0].setMvField( cZeroMv, NOT_VALID );
     tmpMV[1].setMvField( cZeroMv, NOT_VALID );
     Int tRef[2]={-1, -1};
-#endif
 
 #if H_3D_FCO
@@ -4289,9 +4092,9 @@
     TComDataCU *pcTextureCU = 0;
     if ( pcTexturePic )
-        pcTextureCU = pcTexturePic->getCU( getAddr() );
+      pcTextureCU = pcTexturePic->getCU( getAddr() );
 #else
     TComDataCU *pcTextureCU = m_pcSlice->getTexturePic()->getCU( getAddr() );
 #endif
- 
+
 #if H_3D_FCO
     if ( pcTextureCU && pcTexturePic->getReconMark() && !pcTextureCU->isIntra( uiPartIdxCenter ) )
@@ -4300,5 +4103,4 @@
 #endif
     {
-#if ETRIKHU_MERGE_REUSE_F0093
       pcTextureCU->getMvField( pcTextureCU, uiPartIdxCenter, REF_PIC_LIST_0, tmpMV[0] );
       tRef[0] = getPic()->isTextRefValid( REF_PIC_LIST_0, tmpMV[0].getRefIdx() );
@@ -4414,59 +4216,7 @@
         }
         iCount ++;
-
-#else
-      pcTextureCU->getMvField( pcTextureCU, uiPartIdxCenter, REF_PIC_LIST_0, pcMvFieldNeighbours[iCount<<1] );
-      Int iValidDepRef = getPic()->isTextRefValid( REF_PIC_LIST_0, pcMvFieldNeighbours[iCount<<1].getRefIdx() );
-      if( (pcMvFieldNeighbours[iCount<<1].getRefIdx()>=0) && ( iValidDepRef >= 0 ) )
-      {
-        TComMv cMvPred = pcMvFieldNeighbours[iCount<<1].getMv();
-        const TComMv cAdd( 1 << ( 2 - 1 ), 1 << ( 2 - 1 ) );
-        cMvPred+=cAdd;
-        cMvPred>>=2;
-        clipMv(cMvPred);
-        pcMvFieldNeighbours[iCount<<1].setMvField(cMvPred,iValidDepRef);
-      }
-      if ( getSlice()->isInterB() )
-      {
-        pcTextureCU->getMvField( pcTextureCU, uiPartIdxCenter, REF_PIC_LIST_1, pcMvFieldNeighbours[(iCount<<1)+1] );
-        iValidDepRef = getPic()->isTextRefValid( REF_PIC_LIST_1, pcMvFieldNeighbours[(iCount<<1)+1].getRefIdx() );
-        if( (pcMvFieldNeighbours[(iCount<<1)+1].getRefIdx()>=0) && ( iValidDepRef >= 0) )
-        {
-          TComMv cMvPred = pcMvFieldNeighbours[(iCount<<1)+1].getMv();
-          const TComMv cAdd( 1 << ( 2 - 1 ), 1 << ( 2 - 1 ) );
-          cMvPred+=cAdd;
-          cMvPred>>=2;
-          clipMv(cMvPred);
-          pcMvFieldNeighbours[(iCount<<1)+1].setMvField(cMvPred,iValidDepRef);
-        }
-      }
-      puhInterDirNeighbours[iCount] = (pcMvFieldNeighbours[iCount<<1].getRefIdx()>=0)?1:0;
-      puhInterDirNeighbours[iCount] += (pcMvFieldNeighbours[(iCount<<1)+1].getRefIdx()>=0)?2:0;
-      if( puhInterDirNeighbours[iCount] != 0 )
-      {
-        abCandIsInter[iCount] = true;
-        if ( mrgCandIdx == iCount )
-        {
-          return;
-        }
-        iCount ++;
-      }
-#endif
-      }
-    }
-  }
-
-
-#if !ETRIKHU_MERGE_REUSE_F0093
-  //////////////////////////////////
-  //////// GET DISPARITIES  ////////
-  //////////////////////////////////
-
-  DisInfo cDisInfo = getDvInfo(uiAbsPartIdx);
-  for(Int i = 0; i < MRG_MAX_NUM_CANDS_MEM; i++)
-  {
-    inheritedVSPDisInfo[i].m_acDvInfo = cDisInfo;
-  }
-#endif
+      }
+    }
+  }
 
   /////////////////////////////////////////////////////////////////
@@ -4475,8 +4225,4 @@
 
   Int  posIvDC          = -1;
-#if !ETRIKHU_MERGE_REUSE_F0093
-  Bool bLeftAvai        = false;
-  Int  iPosLeftAbove[2] = {-1, -1};
-#endif
 
   // { IvMCL0, IvMCL1, IvDCL0, IvDCL1, IvMCL0Shift, IvMCL1Shift, IvDCL0Shift, IvDCL1Shift };  
@@ -4489,17 +4235,10 @@
 
   Bool ivMvPredFlag   = getSlice()->getVPS()->getIvMvPredFlag( getSlice()->getLayerIdInVps() );
-  
+
   if ( ivMvPredFlag )
   {
-    getInterViewMergeCands(uiPUIdx, ivCandRefIdx, ivCandMv, &cDisInfo, ivCandDir 
-#if QC_DEPTH_IV_MRG_F0125
-    , bIsDepth
-#endif
-#if MTK_SPIVMP_F0110
-    , pcMvFieldSP, puhInterDirSP
-#endif
-    );
+    getInterViewMergeCands(uiPUIdx, ivCandRefIdx, ivCandMv, &cDisInfo, ivCandDir , bIsDepth, pcMvFieldSP, puhInterDirSP );
   }  
-  
+
   ///////////////////////////////////////////////
   //////// INTER VIEW MOTION COMP(IvMC) /////////
@@ -4508,5 +4247,4 @@
   if( ivCandDir[0] )
   {
-#if ETRIKHU_MERGE_REUSE_F0093
     tmpMV[0].setMvField( cZeroMv, NOT_VALID );
     tmpMV[1].setMvField( cZeroMv, NOT_VALID );
@@ -4525,8 +4263,6 @@
     Int iCnloop=0;
 
-#if BUGFIX_F0093
     if (!bIsDepth)
     {
-#endif
       for(Int i = 0; i < 2; i ++)
       {
@@ -4542,22 +4278,11 @@
         }      
       }
-#if BUGFIX_F0093
-    }
-#endif
-#if QC_DEPTH_IV_MRG_F0125
-#if BUGFIX_F0093
+    }
     if (bIsDepth)
-#else
-    if ( bIsDepth && !bRemoveSpa)
-#endif
     {
       iCnloop = iCount-1;
       for(; iCnloop >= 0; iCnloop --)
       {
-#if BUGFIX_F0093
         if(ivCandDir[0] == puhInterDirNeighbours[iCnloop] && pcMvFieldNeighbours[iCnloop<<1]==tmpMV[0] && pcMvFieldNeighbours[(iCnloop<<1)+1]==tmpMV[1])  // F0125 compatible with F0093
-#else
-        if(puhInterDirNeighbours[iCount] == puhInterDirNeighbours[iCnloop] && pcMvFieldNeighbours[iCnloop<<1]==pcMvFieldNeighbours[(iCount<<1)] && pcMvFieldNeighbours[(iCnloop<<1)+1]==pcMvFieldNeighbours[(iCount<<1)+1])
-#endif
         {
           bRemoveSpa                      = true;
@@ -4565,12 +4290,5 @@
         }
       }
-#if !BUGFIX_F0093
-      if(!bRemoveSpa)
-      {
-        bDepthIPMCAvai = true;
-      }
-#endif
-    }
-#endif
+    }
 
     if (!bRemoveSpa)
@@ -4628,7 +4346,5 @@
     if (bIvMC)
     {
-#if MTK_SPIVMP_F0110
       pbSPIVMPFlag[iCount] = true;
-#endif
       if( ( ivCandDir[0] & 1 ) == 1 )
       {
@@ -4642,59 +4358,4 @@
       puhInterDirNeighbours[ iCount ] = ivCandDir[0];
 
-#if !BUGFIX_F0093
-#if QC_DEPTH_IV_MRG_F0125
-      if ( bDepthIPMCAvai || !bIsDepth )
-      {
-#endif
-#endif
-        if ( mrgCandIdx == iCount )
-        {
-          return;
-        }
-        iCount ++;
-#if !BUGFIX_F0093
-#if QC_DEPTH_IV_MRG_F0125
-      }
-#endif
-#endif
-    }
-#else
-    abCandIsInter        [ iCount ] = true;
-    puhInterDirNeighbours[ iCount ] = ivCandDir[0];    
-
-    if( ( ivCandDir[0] & 1 ) == 1 )
-    {
-      pcMvFieldNeighbours[ iCount<<1    ].setMvField( ivCandMv[ 0 ], ivCandRefIdx[ 0 ] );
-    }
-    if( ( ivCandDir[0] & 2 ) == 2 )
-    {
-      pcMvFieldNeighbours[(iCount<<1)+1 ].setMvField( ivCandMv[ 1 ], ivCandRefIdx[ 1 ] );
-    }
-#if QC_DEPTH_IV_MRG_F0125
-    if ( bIsDepth )
-    {
-      Bool bRemoveSpa = false;
-      Int iCnloop = iCount-1;
-      for(; iCnloop >= 0; iCnloop --)
-      {
-        if(puhInterDirNeighbours[iCount] == puhInterDirNeighbours[iCnloop] && pcMvFieldNeighbours[iCnloop<<1]==pcMvFieldNeighbours[(iCount<<1)] && pcMvFieldNeighbours[(iCnloop<<1)+1]==pcMvFieldNeighbours[(iCount<<1)+1])
-        {
-          bRemoveSpa                      = true;
-          abCandIsInter        [ iCount ] = false;
-
-          puhInterDirNeighbours[iCount]   = 0;
-          pcMvFieldNeighbours[iCount<<1].setMvField( cZeroMv, NOT_VALID );
-          pcMvFieldNeighbours[(iCount<<1)+1].setMvField( cZeroMv, NOT_VALID );
-          break;
-        }
-      }
-      if(!bRemoveSpa)
-      {
-        bDepthIPMCAvai = true;
-      }
-    }
-    if ( bDepthIPMCAvai || !bIsDepth )
-    {
-#endif
       if ( mrgCandIdx == iCount )
       {
@@ -4702,10 +4363,5 @@
       }
       iCount ++;
-#if QC_DEPTH_IV_MRG_F0125
-    }
-#endif
-
-#endif
-
+    }
   } 
 
@@ -4717,16 +4373,7 @@
 #endif
 
-
-
-
-
-#if ETRIKHU_MERGE_REUSE_F0093
+#if H_3D
   iCount += numA1B1B0;
 #else
-#if H_3D
-  ////////////////////////////
-  //////// LEFT (A1) /////////
-  ////////////////////////////
-#endif
   //left
   UInt uiLeftPartIdx = 0;
@@ -4748,58 +4395,5 @@
       pcCULeft->getMvField( pcCULeft, uiLeftPartIdx, REF_PIC_LIST_1, pcMvFieldNeighbours[(iCount<<1)+1] );
     }
-#if H_3D_IV_MERGE 
-    Bool bRemoveSpa = false; //pruning to inter-view candidates
-#if QC_DEPTH_IV_MRG_F0125
-    Int  iCnloop = bDepthIPMCAvai ? (iCount-2): (iCount-1);
-#else
-    Int  iCnloop    = iCount - 1;
-#endif
-    for(; iCnloop >= 0; iCnloop --)
-    {
-      if(puhInterDirNeighbours[iCount] == puhInterDirNeighbours[iCnloop] && pcMvFieldNeighbours[iCnloop<<1]==pcMvFieldNeighbours[(iCount<<1)] && pcMvFieldNeighbours[(iCnloop<<1)+1]==pcMvFieldNeighbours[(iCount<<1)+1])
-      {
-        bRemoveSpa                      = true;
-        abCandIsInter        [ iCount ] = false;
-
-        //reset to the default value for MC
-        puhInterDirNeighbours[iCount]   = 0;
-        pcMvFieldNeighbours[iCount<<1].setMvField( cZeroMv, NOT_VALID );
-        pcMvFieldNeighbours[(iCount<<1)+1].setMvField( cZeroMv, NOT_VALID );
-        break;
-      }
-    }
-    if(!bRemoveSpa)
-    {
-      bLeftAvai = true;
-      iPosLeftAbove[0] = iCount;
-#if H_3D_NBDV
-      pcMvFieldNeighbours[iCount<<1    ].getMv().setIDVFlag (false);
-      pcMvFieldNeighbours[(iCount<<1)+1].getMv().setIDVFlag (false);
-#endif
-#if H_3D_VSP
-      if (pcCULeft->getVSPFlag(uiLeftPartIdx) == 1
-#if LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-        && !bICFlag
-#endif
-#if H_3D_ARP
-        && !bARPFlag
-#endif
-#endif
-        )
-      {
-        vspFlag[iCount] = 1;
-#if !MTK_VSP_SIMPLIFICATION_F0111
-        xInheritVSPDisInfo(pcCULeft,uiLeftPartIdx,iCount,inheritedVSPDisInfo);
-#endif
-      }
-#endif
-      if ( mrgCandIdx == iCount )
-      {
-        return;
-      }
-      iCount ++;
-    }
-#else // H_3D_IV_MERGE 
+
     if ( mrgCandIdx == iCount )
     {
@@ -4807,5 +4401,4 @@
     }
     iCount ++;
-#endif // H_3D_IV_MERGE 
   }
 
@@ -4815,9 +4408,5 @@
     return;
   }
-#if H_3D
-  ////////////////////////////
-  //////// ABOVE (B1) ////////
-  ////////////////////////////
-#endif
+
   // above
   UInt uiAbovePartIdx = 0;
@@ -4839,77 +4428,5 @@
       pcCUAbove->getMvField( pcCUAbove, uiAbovePartIdx, REF_PIC_LIST_1, pcMvFieldNeighbours[(iCount<<1)+1] );
     }
-#if H_3D_IV_MERGE 
-    Bool bRemoveSpa = false; //pruning to inter-view candidates
-#if QC_DEPTH_IV_MRG_F0125
-    Int iCnloop;
-    if( bIsDepth )
-      iCnloop = (bLeftAvai && bDepthIPMCAvai) ? (iCount-3) : ((bLeftAvai || bDepthIPMCAvai)  ? (iCount-2): (iCount-1));
-    else
-      iCnloop = bLeftAvai? (iCount-2): (iCount-1);
-#else
-    Int  iCnloop    = bLeftAvai? (iCount-2): (iCount-1);
-#endif
-    for(; iCnloop >= 0; iCnloop --)
-    {
-      if(puhInterDirNeighbours[iCount] == puhInterDirNeighbours[iCnloop] && pcMvFieldNeighbours[iCnloop<<1]==pcMvFieldNeighbours[(iCount<<1)] && pcMvFieldNeighbours[(iCnloop<<1)+1]==pcMvFieldNeighbours[(iCount<<1)+1])
-      {
-        bRemoveSpa                      = true;
-        abCandIsInter        [ iCount ] = false;
-
-        //reset to the default value for MC
-        puhInterDirNeighbours[iCount]   = 0;
-
-        pcMvFieldNeighbours[iCount<<1]    .setMvField( cZeroMv, NOT_VALID );
-        pcMvFieldNeighbours[(iCount<<1)+1].setMvField( cZeroMv, NOT_VALID );
-        break;
-      }
-    }
-
-    if(!bRemoveSpa)
-    {
-      iPosLeftAbove[1] = iCount;
-#if H_3D_NBDV
-      pcMvFieldNeighbours[iCount<<1    ].getMv().setIDVFlag (false);
-      pcMvFieldNeighbours[(iCount<<1)+1].getMv().setIDVFlag (false);
-#endif
-#if H_3D_VSP
-#if MTK_VSP_SIMPLIFICATION_F0111
-      if ( ( ( getAddr() - pcCUAbove->getAddr() ) == 0) && (pcCUAbove->getVSPFlag(uiAbovePartIdx) == 1) 
-#if LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-        && !bICFlag
-#endif
-#if H_3D_ARP
-        && !bARPFlag
-#endif
-#endif
-        )
-#else
-      if (pcCUAbove->getVSPFlag(uiAbovePartIdx) == 1
-#if LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-        && !bICFlag
-#endif
-#if H_3D_ARP
-        && !bARPFlag
-#endif
-#endif
-        )
-#endif
-      {
-
-        vspFlag[iCount] = 1;
-#if !MTK_VSP_SIMPLIFICATION_F0111
-        xInheritVSPDisInfo(pcCUAbove,uiAbovePartIdx,iCount,inheritedVSPDisInfo);
-#endif
-      }
-#endif
-      if ( mrgCandIdx == iCount )
-      {
-        return;
-      }
-      iCount ++;
-    }
-#else // H_3D_IV_MERGE 
+
     if ( mrgCandIdx == iCount )
     {
@@ -4917,5 +4434,4 @@
     }
     iCount ++;
-#endif // H_3D_IV_MERGE 
   }
   // early termination
@@ -4924,10 +4440,4 @@
     return;
   }
-
-#if H_3D
-  //////////////////////////////////
-  //////// ABOVE RIGHT (B0) ////////
-  //////////////////////////////////
-#endif
 
   // above right
@@ -4949,39 +4459,5 @@
       pcCUAboveRight->getMvField( pcCUAboveRight, uiAboveRightPartIdx, REF_PIC_LIST_1, pcMvFieldNeighbours[(iCount<<1)+1] );
     }
-#if H_3D_NBDV
-    pcMvFieldNeighbours[iCount<<1    ].getMv().setIDVFlag (false);
-    pcMvFieldNeighbours[(iCount<<1)+1].getMv().setIDVFlag (false);
-#endif
-#if H_3D_VSP
-#if MTK_VSP_SIMPLIFICATION_F0111
-    if ( ( ( getAddr() - pcCUAboveRight->getAddr() ) == 0) && (pcCUAboveRight->getVSPFlag(uiAboveRightPartIdx) == 1) 
-#if LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-      && !bICFlag
-#endif
-#if H_3D_ARP
-      && !bARPFlag
-#endif
-#endif
-      )
-#else
-    if (pcCUAboveRight->getVSPFlag(uiAboveRightPartIdx) == 1
-#if LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-      && !bICFlag
-#endif
-#if H_3D_ARP
-      && !bARPFlag
-#endif
-#endif
-      )
-#endif
-    {
-      vspFlag[iCount] = 1;
-#if !MTK_VSP_SIMPLIFICATION_F0111
-      xInheritVSPDisInfo(pcCUAboveRight,uiAboveRightPartIdx,iCount,inheritedVSPDisInfo);
-#endif
-    }
-#endif
+
     if ( mrgCandIdx == iCount )
     {
@@ -5003,13 +4479,8 @@
   /////////////////////////////////////////////
 
-#if ETRIKHU_MERGE_REUSE_F0093
   if( ivCandDir[1] && iCount < getSlice()->getMaxNumMergeCand())
-#else
-  if( ivCandDir[1] )
-#endif
   {
     assert(iCount < getSlice()->getMaxNumMergeCand());
 
-#if ETRIKHU_MERGE_REUSE_F0093
     tmpMV[0].setMvField( cZeroMv, NOT_VALID );
     tmpMV[1].setMvField( cZeroMv, NOT_VALID );
@@ -5022,16 +4493,4 @@
       tmpMV[1].setMvField( ivCandMv[ 3 ], ivCandRefIdx[ 3 ] );
     }
-#else
-    abCandIsInter        [ iCount ] = true;
-    puhInterDirNeighbours[ iCount ] = ivCandDir[1];
-    if( ( ivCandDir[1] & 1 ) == 1 )
-    {
-      pcMvFieldNeighbours[ iCount<<1    ].setMvField( ivCandMv[ 2 ], ivCandRefIdx[ 2 ] );
-    }
-    if( ( ivCandDir[1] & 2 ) == 2 )
-    {
-      pcMvFieldNeighbours[(iCount<<1)+1 ].setMvField( ivCandMv[ 3 ], ivCandRefIdx[ 3 ] );
-    }
-#endif
 
     Bool bRemoveSpa = false; //pruning to A1, B1
@@ -5046,11 +4505,4 @@
       {
         bRemoveSpa                      = true;
-#if !ETRIKHU_MERGE_REUSE_F0093
-        abCandIsInter        [ iCount ] = false;
-        //reset to the default value for MC
-        puhInterDirNeighbours[iCount]   = 0;
-        pcMvFieldNeighbours[iCount<<1].setMvField( cZeroMv, NOT_VALID );
-        pcMvFieldNeighbours[(iCount<<1)+1].setMvField( cZeroMv, NOT_VALID );
-#endif
         break;
       }      
@@ -5058,5 +4510,4 @@
     if(!bRemoveSpa)
     {
-#if ETRIKHU_MERGE_REUSE_F0093
       rightShiftMergeCandList( pcMvFieldNeighbours, puhInterDirNeighbours, vspFlag, inheritedVSPDisInfo, iCount, (5-iCount), iCount3DV);
       puhInterDirNeighbours[ iCount ] = ivCandDir[1];
@@ -5069,5 +4520,4 @@
         pcMvFieldNeighbours[(iCount<<1)+1 ].setMvField( ivCandMv[ 3 ], ivCandRefIdx[ 3 ] );
       }
-#endif
 #if H_3D_NBDV
       pcMvFieldNeighbours[iCount<<1    ].getMv().setIDVFlag (false);
@@ -5092,11 +4542,8 @@
   //////// VIEW SYNTHESIS PREDICTION (VSP) ////////
   /////////////////////////////////////////////////
-#if ETRIKHU_MERGE_REUSE_F0093
   if (iCount<getSlice()->getMaxNumMergeCand())
   {
-#endif
 
   if (
-#if LGE_SHARP_VSP_INHERIT_F0104
 #if H_3D_IC
       !bICFlag &&
@@ -5105,10 +4552,5 @@
       !bARPFlag &&
 #endif
-#endif
-#if ETRIKHU_MERGE_REUSE_F0093
       xAddVspCand( mrgCandIdx, &cDisInfo, iCount, abCandIsInter, pcMvFieldNeighbours, puhInterDirNeighbours, vspFlag, iCount3DV, inheritedVSPDisInfo ) )
-#else
-      xAddVspCand( mrgCandIdx, &cDisInfo, iCount, abCandIsInter, pcMvFieldNeighbours, puhInterDirNeighbours, vspFlag ) )
-#endif
   {
     return;
